%% -*- mode: erlang;erlang-indent-level: 4;indent-tabs-mode: nil -*-
%% ex: ts=4 sw=4 ft=erlang et

{application, rebar,
 [{description, "Rebar: Erlang Build Tool"},
  {vsn, "3.0.0"},
  {modules, [ rebar,
              rebar_app_utils,
              rebar_app_info,
              rebar_app_discover,
              rebar_base_compiler,
              rebar_cleaner,
              rebar_config,
              rebar_core,
              rebar_cover_utils,
              rebar_ct,
              rebar_prv_deps,
              rebar_prv_install_deps,
              rebar_edoc,
              rebar_erlc_compiler,
              rebar_erlydtl_compiler,
              rebar_escripter,
              rebar_eunit,
              rebar_fetch,
              rebar_file_utils,
              rebar_log,
              rebar_lock,
              rebar_otp_app,
              rebar_provider,
              rebar_packages,
              rebar_prv_app_builder,
              rebar_prv_app_discovery,
              rebar_require_vsn,
              rebar_prv_release,
              rebar_prv_packages,
              rebar_prv_new,
              rebar_prv_update,
              rebar_mustache,
              rebar_prv_shell,
              rebar_state,
              rebar_prv_tar,
              rebar_templater,
              rebar_topo,
              rebar_utils,
              rebar_getopt]},
  {registered, []},
  {applications, [kernel,
                  stdlib,
                  sasl,
                  compiler,
                  crypto,
                  syntax_tools,
                  tools,
                  erlware_commons,
                  relx,
                  inets]},
  {env, [
        %% Default log level
        {log_level, warn},

        %% any_dir processing modules
        {providers, [rebar_escripter,
                     rebar_prv_deps,
                     rebar_prv_install_deps,
                     rebar_prv_packages,
                     rebar_erlydtl_compiler,
                     rebar_prv_app_builder,
                     rebar_prv_app_discovery,
                     rebar_prv_shell,
                     rebar_ct,
                     rebar_prv_tar,
                     rebar_prv_new,
                     rebar_prv_update,
                     rebar_prv_release]}
        ]}
 ]}.
